Mr DeepFakes Forums
  • New and improved dark forum theme!
  • Guests can now comment on videos on the tube.
   
Installing Faceswap Python Scripts
#11
(12-20-2018, 09:13 AM)ZeroCool22 Wrote: You are not allowed to view links. Register or Login to view.I follow the instructions from the REPO (You are not allowed to view links. Register or Login to view.) but i'm getting a error when try to EXRACT:


Code:
Loading...
12/20/2018 01:41:59 INFO Log level set to: INFO
12/20/2018 01:42:01 INFO Output Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\output
12/20/2018 01:42:01 INFO Input Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\input
12/20/2018 01:42:01 INFO Loading Detect from Mtcnn plugin...
12/20/2018 01:42:01 INFO Loading Align from Fan plugin...
12/20/2018 01:42:01 INFO NB: Parallel processing disabled.You may get faster extraction speeds by enabling it with the -mp switch
12/20/2018 01:42:01 INFO Starting, this may take a while...
12/20/2018 01:42:01 INFO Initializing MTCNN Detector...
12/20/2018 01:42:02 ERROR Caught exception in child process: 7588
12/20/2018 01:43:01 INFO Waiting for Detector... Time out in 4 minutes
12/20/2018 01:44:01 INFO Waiting for Detector... Time out in 3 minutes
12/20/2018 01:45:01 INFO Waiting for Detector... Time out in 2 minutes
12/20/2018 01:46:01 INFO Waiting for Detector... Time out in 1 minutes
12/20/2018 01:47:03 ERROR Got Exception on main handler:
Traceback (most recent call last):
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\lib\cli.py", line 90, in execute_script
process.process()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 51, in process
self.run_extraction(save_thread)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 149, in run_extraction
self.run_detection(to_process)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 202, in run_detection
self.plugins.launch_detector()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 386, in launch_detector
raise ValueError("Error initializing Detector")
ValueError: Error initializing Detector
12/20/2018 01:47:03 CRITICAL An unexpected crash has occurred. Crash report written to C:\Users\ZeroCool22\Miniconda3\envs\faceswap\crash_report.2018.12.20.014701426414.log. Please verify you are running the latest version of faceswap before reporting
Process exited.

I'm using the GUI:
[Image: GUI-error-2.png]

Crash Report: You are not allowed to view links. Register or Login to view.

mtcnn detector is timing out. It's a multiprocessing error.  Try updating faceswap.

1. enter your virtual env
2. in the conda command line type: "cd faceswap"
3. next, in the command line, type: "git pull --all"
4. after it finishes, in the command line, type: "pip install --upgrade -r requirements.txt"
5. after it finishes, type: "exit()"

Now restart your PC, and try running the extraction again from the beginning.

If this doesn't fix the issue, you may need to use a different detector.  Try the dlib-cnn detector option through the GUI and see if that one works.
#12
(12-20-2018, 11:54 AM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-20-2018, 09:13 AM)ZeroCool22 Wrote: You are not allowed to view links. Register or Login to view.I follow the instructions from the REPO (You are not allowed to view links. Register or Login to view.) but i'm getting a error when try to EXRACT:


Code:
Loading...
12/20/2018 01:41:59 INFO Log level set to: INFO
12/20/2018 01:42:01 INFO Output Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\output
12/20/2018 01:42:01 INFO Input Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\input
12/20/2018 01:42:01 INFO Loading Detect from Mtcnn plugin...
12/20/2018 01:42:01 INFO Loading Align from Fan plugin...
12/20/2018 01:42:01 INFO NB: Parallel processing disabled.You may get faster extraction speeds by enabling it with the -mp switch
12/20/2018 01:42:01 INFO Starting, this may take a while...
12/20/2018 01:42:01 INFO Initializing MTCNN Detector...
12/20/2018 01:42:02 ERROR Caught exception in child process: 7588
12/20/2018 01:43:01 INFO Waiting for Detector... Time out in 4 minutes
12/20/2018 01:44:01 INFO Waiting for Detector... Time out in 3 minutes
12/20/2018 01:45:01 INFO Waiting for Detector... Time out in 2 minutes
12/20/2018 01:46:01 INFO Waiting for Detector... Time out in 1 minutes
12/20/2018 01:47:03 ERROR Got Exception on main handler:
Traceback (most recent call last):
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\lib\cli.py", line 90, in execute_script
process.process()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 51, in process
self.run_extraction(save_thread)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 149, in run_extraction
self.run_detection(to_process)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 202, in run_detection
self.plugins.launch_detector()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 386, in launch_detector
raise ValueError("Error initializing Detector")
ValueError: Error initializing Detector
12/20/2018 01:47:03 CRITICAL An unexpected crash has occurred. Crash report written to C:\Users\ZeroCool22\Miniconda3\envs\faceswap\crash_report.2018.12.20.014701426414.log. Please verify you are running the latest version of faceswap before reporting
Process exited.

I'm using the GUI:
[Image: GUI-error-2.png]

Crash Report: You are not allowed to view links. Register or Login to view.

mtcnn detector is timing out. It's a multiprocessing error.  Try updating faceswap.

1. enter your virtual env
2. in the conda command line type: "cd faceswap"
3. next, in the command line, type: "git pull --all"
4. after it finishes, in the command line, type: "pip install --upgrade -r requirements.txt"
5. after it finishes, type: "exit()"

Now restart your PC, and try running the extraction again from the beginning.

If this doesn't fix the issue, you may need to use a different detector.  Try the dlib-cnn detector option through the GUI and see if that one works.

Thx for reply.

I get this error after writing git pull --all:
Code:
fatal: not a git repository (or any of the parent directories): .git



Code:
Microsoft Windows [Versión 10.0.17134.191]
(c) 2018 Microsoft Corporation. Todos los derechos reservados.

C:\WINDOWS\system32>cd C:\Users\ZeroCool22\Miniconda3\envs

C:\Users\ZeroCool22\Miniconda3\envs>cd faceswap

C:\Users\ZeroCool22\Miniconda3\envs\faceswap>activate faceswap

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>git pull --all
fatal: not a git repository (or any of the parent directories): .git

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>
Anyways, i tried pip install --upgrade -r requirements.txt and it says everything is up to date, so i don't know from where this fucking error
Code:
ERROR Caught exception in child process: 7588
comes from...

Code:
(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>pip install --upgrade -r requirements.txt
Requirement already up-to-date: tqdm in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 1)) (4.28.1)
Requirement already up-to-date: psutil in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 2)) (5.4.8)
Requirement already up-to-date: pathlib==1.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 3)) (1.0.1)
Requirement already up-to-date: scandir==1.7 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 4)) (1.7)
Requirement already up-to-date: opencv-python in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 5)) (3.4.4.19)
Requirement already up-to-date: scikit-image in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 6)) (0.14.1)
Requirement already up-to-date: scikit-learn in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 7)) (0.20.2)
Requirement already up-to-date: matplotlib==2.2.2 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 8)) (2.2.2)
Requirement already up-to-date: ffmpy==0.2.2 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 9)) (0.2.2)
Requirement already up-to-date: nvidia-ml-py3 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 10)) (7.352.0)
Requirement already up-to-date: h5py==2.8.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 11)) (2.8.0)
Requirement already up-to-date: Keras==2.2.4 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 12)) (2.2.4)
Requirement already up-to-date: cmake in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 13)) (3.13.2.post1)
Requirement already up-to-date: dlib in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 14)) (19.16.0)
Requirement already up-to-date: face_recognition in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 15)) (1.2.3)
Requirement already satisfied, skipping upgrade: numpy>=1.11.3 in c:\users\zerocool22\miniconda3\lib\site-packages (from opencv-python->-r requirements.txt (line 5)) (1.15.4)
Requirement already satisfied, skipping upgrade: cloudpickle>=0.2.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (0.6.1)
Requirement already satisfied, skipping upgrade: six>=1.10.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.12.0)
Requirement already satisfied, skipping upgrade: networkx>=1.8 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (2.2)
Requirement already satisfied, skipping upgrade: dask[array]>=0.9.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.0.0)
Requirement already satisfied, skipping upgrade: pillow>=4.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (5.3.0)
Requirement already satisfied, skipping upgrade: PyWavelets>=0.4.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.0.1)
Requirement already satisfied, skipping upgrade: scipy>=0.13.3 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-learn->-r requirements.txt (line 7)) (1.2.0)
Requirement already satisfied, skipping upgrade: cycler>=0.10 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (0.10.0)
Requirement already satisfied, skipping upgrade: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2.3.0)
Requirement already satisfied, skipping upgrade: pytz in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2018.7)
Requirement already satisfied, skipping upgrade: kiwisolver>=1.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (1.0.1)
Requirement already satisfied, skipping upgrade: python-dateutil>=2.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2.7.5)
Requirement already satisfied, skipping upgrade: pyyaml in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (3.13)
Requirement already satisfied, skipping upgrade: keras-preprocessing>=1.0.5 in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (1.0.5)
Requirement already satisfied, skipping upgrade: keras-applications>=1.0.6 in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (1.0.6)
Requirement already satisfied, skipping upgrade: Click>=6.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from face_recognition->-r requirements.txt (line 15)) (7.0)
Requirement already satisfied, skipping upgrade: face-recognition-models>=0.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from face_recognition->-r requirements.txt (line 15)) (0.3.0)
Requirement already satisfied, skipping upgrade: decorator>=4.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from networkx>=1.8->scikit-image->-r requirements.txt (line 6)) (4.3.0)
Requirement already satisfied, skipping upgrade: toolz>=0.7.3; extra == "array" in c:\users\zerocool22\miniconda3\lib\site-packages (from dask[array]>=0.9.0->scikit-image->-r requirements.txt (line 6)) (0.9.0)
Requirement already satisfied, skipping upgrade: setuptools in c:\users\zerocool22\miniconda3\lib\site-packages (from kiwisolver>=1.0.1->matplotlib==2.2.2->-r requirements.txt (line 8)) (40.6.3)

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>
I guess i will stick to FaceLab, i was so damn sure FaceSwap will give me problems at some point...
#13
(12-20-2018, 05:23 PM)ZeroCool22 Wrote: You are not allowed to view links. Register or Login to view.
(12-20-2018, 11:54 AM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-20-2018, 09:13 AM)ZeroCool22 Wrote: You are not allowed to view links. Register or Login to view.I follow the instructions from the REPO (You are not allowed to view links. Register or Login to view.) but i'm getting a error when try to EXRACT:


Code:
Loading...
12/20/2018 01:41:59 INFO Log level set to: INFO
12/20/2018 01:42:01 INFO Output Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\output
12/20/2018 01:42:01 INFO Input Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\input
12/20/2018 01:42:01 INFO Loading Detect from Mtcnn plugin...
12/20/2018 01:42:01 INFO Loading Align from Fan plugin...
12/20/2018 01:42:01 INFO NB: Parallel processing disabled.You may get faster extraction speeds by enabling it with the -mp switch
12/20/2018 01:42:01 INFO Starting, this may take a while...
12/20/2018 01:42:01 INFO Initializing MTCNN Detector...
12/20/2018 01:42:02 ERROR Caught exception in child process: 7588
12/20/2018 01:43:01 INFO Waiting for Detector... Time out in 4 minutes
12/20/2018 01:44:01 INFO Waiting for Detector... Time out in 3 minutes
12/20/2018 01:45:01 INFO Waiting for Detector... Time out in 2 minutes
12/20/2018 01:46:01 INFO Waiting for Detector... Time out in 1 minutes
12/20/2018 01:47:03 ERROR Got Exception on main handler:
Traceback (most recent call last):
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\lib\cli.py", line 90, in execute_script
process.process()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 51, in process
self.run_extraction(save_thread)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 149, in run_extraction
self.run_detection(to_process)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 202, in run_detection
self.plugins.launch_detector()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 386, in launch_detector
raise ValueError("Error initializing Detector")
ValueError: Error initializing Detector
12/20/2018 01:47:03 CRITICAL An unexpected crash has occurred. Crash report written to C:\Users\ZeroCool22\Miniconda3\envs\faceswap\crash_report.2018.12.20.014701426414.log. Please verify you are running the latest version of faceswap before reporting
Process exited.

I'm using the GUI:
[Image: GUI-error-2.png]

Crash Report: You are not allowed to view links. Register or Login to view.

mtcnn detector is timing out. It's a multiprocessing error.  Try updating faceswap.

1. enter your virtual env
2. in the conda command line type: "cd faceswap"
3. next, in the command line, type: "git pull --all"
4. after it finishes, in the command line, type: "pip install --upgrade -r requirements.txt"
5. after it finishes, type: "exit()"

Now restart your PC, and try running the extraction again from the beginning.

If this doesn't fix the issue, you may need to use a different detector.  Try the dlib-cnn detector option through the GUI and see if that one works.

Thx for reply.

I get this error after writing git pull --all:
Code:
fatal: not a git repository (or any of the parent directories): .git



Code:
Microsoft Windows [Versión 10.0.17134.191]
(c) 2018 Microsoft Corporation. Todos los derechos reservados.

C:\WINDOWS\system32>cd C:\Users\ZeroCool22\Miniconda3\envs

C:\Users\ZeroCool22\Miniconda3\envs>cd faceswap

C:\Users\ZeroCool22\Miniconda3\envs\faceswap>activate faceswap

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>git pull --all
fatal: not a git repository (or any of the parent directories): .git

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>
Anyways, i tried pip install --upgrade -r requirements.txt and it says everything is up to date, so i don't know from where this fucking error
Code:
ERROR Caught exception in child process: 7588
comes from...

Code:
(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>pip install --upgrade -r requirements.txt
Requirement already up-to-date: tqdm in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 1)) (4.28.1)
Requirement already up-to-date: psutil in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 2)) (5.4.8)
Requirement already up-to-date: pathlib==1.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 3)) (1.0.1)
Requirement already up-to-date: scandir==1.7 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 4)) (1.7)
Requirement already up-to-date: opencv-python in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 5)) (3.4.4.19)
Requirement already up-to-date: scikit-image in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 6)) (0.14.1)
Requirement already up-to-date: scikit-learn in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 7)) (0.20.2)
Requirement already up-to-date: matplotlib==2.2.2 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 8)) (2.2.2)
Requirement already up-to-date: ffmpy==0.2.2 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 9)) (0.2.2)
Requirement already up-to-date: nvidia-ml-py3 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 10)) (7.352.0)
Requirement already up-to-date: h5py==2.8.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 11)) (2.8.0)
Requirement already up-to-date: Keras==2.2.4 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 12)) (2.2.4)
Requirement already up-to-date: cmake in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 13)) (3.13.2.post1)
Requirement already up-to-date: dlib in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 14)) (19.16.0)
Requirement already up-to-date: face_recognition in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 15)) (1.2.3)
Requirement already satisfied, skipping upgrade: numpy>=1.11.3 in c:\users\zerocool22\miniconda3\lib\site-packages (from opencv-python->-r requirements.txt (line 5)) (1.15.4)
Requirement already satisfied, skipping upgrade: cloudpickle>=0.2.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (0.6.1)
Requirement already satisfied, skipping upgrade: six>=1.10.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.12.0)
Requirement already satisfied, skipping upgrade: networkx>=1.8 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (2.2)
Requirement already satisfied, skipping upgrade: dask[array]>=0.9.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.0.0)
Requirement already satisfied, skipping upgrade: pillow>=4.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (5.3.0)
Requirement already satisfied, skipping upgrade: PyWavelets>=0.4.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.0.1)
Requirement already satisfied, skipping upgrade: scipy>=0.13.3 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-learn->-r requirements.txt (line 7)) (1.2.0)
Requirement already satisfied, skipping upgrade: cycler>=0.10 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (0.10.0)
Requirement already satisfied, skipping upgrade: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2.3.0)
Requirement already satisfied, skipping upgrade: pytz in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2018.7)
Requirement already satisfied, skipping upgrade: kiwisolver>=1.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (1.0.1)
Requirement already satisfied, skipping upgrade: python-dateutil>=2.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2.7.5)
Requirement already satisfied, skipping upgrade: pyyaml in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (3.13)
Requirement already satisfied, skipping upgrade: keras-preprocessing>=1.0.5 in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (1.0.5)
Requirement already satisfied, skipping upgrade: keras-applications>=1.0.6 in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (1.0.6)
Requirement already satisfied, skipping upgrade: Click>=6.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from face_recognition->-r requirements.txt (line 15)) (7.0)
Requirement already satisfied, skipping upgrade: face-recognition-models>=0.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from face_recognition->-r requirements.txt (line 15)) (0.3.0)
Requirement already satisfied, skipping upgrade: decorator>=4.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from networkx>=1.8->scikit-image->-r requirements.txt (line 6)) (4.3.0)
Requirement already satisfied, skipping upgrade: toolz>=0.7.3; extra == "array" in c:\users\zerocool22\miniconda3\lib\site-packages (from dask[array]>=0.9.0->scikit-image->-r requirements.txt (line 6)) (0.9.0)
Requirement already satisfied, skipping upgrade: setuptools in c:\users\zerocool22\miniconda3\lib\site-packages (from kiwisolver>=1.0.1->matplotlib==2.2.2->-r requirements.txt (line 8)) (40.6.3)

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>
I guess i will stick to FaceLab, i was so damn sure FaceSwap will give me problems at some point...
Your crash report shows that the git master branch and commit is not found. Did you follow the Install.MD carefully and precisely?

If "git pull --all" is failing, that means that you didn't install correctly. Start over, try again.  Don't skip everything.  Read every sentence.

Also, my friend, be careful asking questions through the primary faceswap git. Either use the Discord, or use the git for Faceswap-Playground. Or ask here.  The Discord will yield the best results, though.

It's your choice, but I suggest you don't give up because of a little adversity.  If I can get it to work, anyone can.
#14
(12-20-2018, 10:56 PM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-20-2018, 05:23 PM)ZeroCool22 Wrote: You are not allowed to view links. Register or Login to view.
(12-20-2018, 11:54 AM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-20-2018, 09:13 AM)ZeroCool22 Wrote: You are not allowed to view links. Register or Login to view.I follow the instructions from the REPO (You are not allowed to view links. Register or Login to view.) but i'm getting a error when try to EXRACT:


Code:
Loading...
12/20/2018 01:41:59 INFO Log level set to: INFO
12/20/2018 01:42:01 INFO Output Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\output
12/20/2018 01:42:01 INFO Input Directory: C:\Users\ZeroCool22\Miniconda3\envs\faceswap\input
12/20/2018 01:42:01 INFO Loading Detect from Mtcnn plugin...
12/20/2018 01:42:01 INFO Loading Align from Fan plugin...
12/20/2018 01:42:01 INFO NB: Parallel processing disabled.You may get faster extraction speeds by enabling it with the -mp switch
12/20/2018 01:42:01 INFO Starting, this may take a while...
12/20/2018 01:42:01 INFO Initializing MTCNN Detector...
12/20/2018 01:42:02 ERROR Caught exception in child process: 7588
12/20/2018 01:43:01 INFO Waiting for Detector... Time out in 4 minutes
12/20/2018 01:44:01 INFO Waiting for Detector... Time out in 3 minutes
12/20/2018 01:45:01 INFO Waiting for Detector... Time out in 2 minutes
12/20/2018 01:46:01 INFO Waiting for Detector... Time out in 1 minutes
12/20/2018 01:47:03 ERROR Got Exception on main handler:
Traceback (most recent call last):
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\lib\cli.py", line 90, in execute_script
process.process()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 51, in process
self.run_extraction(save_thread)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 149, in run_extraction
self.run_detection(to_process)
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 202, in run_detection
self.plugins.launch_detector()
File "C:\Users\ZeroCool22\Miniconda3\envs\faceswap\scripts\extract.py", line 386, in launch_detector
raise ValueError("Error initializing Detector")
ValueError: Error initializing Detector
12/20/2018 01:47:03 CRITICAL An unexpected crash has occurred. Crash report written to C:\Users\ZeroCool22\Miniconda3\envs\faceswap\crash_report.2018.12.20.014701426414.log. Please verify you are running the latest version of faceswap before reporting
Process exited.

I'm using the GUI:
[Image: GUI-error-2.png]

Crash Report: You are not allowed to view links. Register or Login to view.

mtcnn detector is timing out. It's a multiprocessing error.  Try updating faceswap.

1. enter your virtual env
2. in the conda command line type: "cd faceswap"
3. next, in the command line, type: "git pull --all"
4. after it finishes, in the command line, type: "pip install --upgrade -r requirements.txt"
5. after it finishes, type: "exit()"

Now restart your PC, and try running the extraction again from the beginning.

If this doesn't fix the issue, you may need to use a different detector.  Try the dlib-cnn detector option through the GUI and see if that one works.

Thx for reply.

I get this error after writing git pull --all:
Code:
fatal: not a git repository (or any of the parent directories): .git



Code:
Microsoft Windows [Versión 10.0.17134.191]
(c) 2018 Microsoft Corporation. Todos los derechos reservados.

C:\WINDOWS\system32>cd C:\Users\ZeroCool22\Miniconda3\envs

C:\Users\ZeroCool22\Miniconda3\envs>cd faceswap

C:\Users\ZeroCool22\Miniconda3\envs\faceswap>activate faceswap

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>git pull --all
fatal: not a git repository (or any of the parent directories): .git

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>
Anyways, i tried pip install --upgrade -r requirements.txt and it says everything is up to date, so i don't know from where this fucking error
Code:
ERROR Caught exception in child process: 7588
comes from...

Code:
(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>pip install --upgrade -r requirements.txt
Requirement already up-to-date: tqdm in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 1)) (4.28.1)
Requirement already up-to-date: psutil in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 2)) (5.4.8)
Requirement already up-to-date: pathlib==1.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 3)) (1.0.1)
Requirement already up-to-date: scandir==1.7 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 4)) (1.7)
Requirement already up-to-date: opencv-python in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 5)) (3.4.4.19)
Requirement already up-to-date: scikit-image in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 6)) (0.14.1)
Requirement already up-to-date: scikit-learn in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 7)) (0.20.2)
Requirement already up-to-date: matplotlib==2.2.2 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 8)) (2.2.2)
Requirement already up-to-date: ffmpy==0.2.2 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 9)) (0.2.2)
Requirement already up-to-date: nvidia-ml-py3 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 10)) (7.352.0)
Requirement already up-to-date: h5py==2.8.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 11)) (2.8.0)
Requirement already up-to-date: Keras==2.2.4 in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 12)) (2.2.4)
Requirement already up-to-date: cmake in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 13)) (3.13.2.post1)
Requirement already up-to-date: dlib in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 14)) (19.16.0)
Requirement already up-to-date: face_recognition in c:\users\zerocool22\miniconda3\lib\site-packages (from -r requirements.txt (line 15)) (1.2.3)
Requirement already satisfied, skipping upgrade: numpy>=1.11.3 in c:\users\zerocool22\miniconda3\lib\site-packages (from opencv-python->-r requirements.txt (line 5)) (1.15.4)
Requirement already satisfied, skipping upgrade: cloudpickle>=0.2.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (0.6.1)
Requirement already satisfied, skipping upgrade: six>=1.10.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.12.0)
Requirement already satisfied, skipping upgrade: networkx>=1.8 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (2.2)
Requirement already satisfied, skipping upgrade: dask[array]>=0.9.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.0.0)
Requirement already satisfied, skipping upgrade: pillow>=4.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (5.3.0)
Requirement already satisfied, skipping upgrade: PyWavelets>=0.4.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-image->-r requirements.txt (line 6)) (1.0.1)
Requirement already satisfied, skipping upgrade: scipy>=0.13.3 in c:\users\zerocool22\miniconda3\lib\site-packages (from scikit-learn->-r requirements.txt (line 7)) (1.2.0)
Requirement already satisfied, skipping upgrade: cycler>=0.10 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (0.10.0)
Requirement already satisfied, skipping upgrade: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2.3.0)
Requirement already satisfied, skipping upgrade: pytz in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2018.7)
Requirement already satisfied, skipping upgrade: kiwisolver>=1.0.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (1.0.1)
Requirement already satisfied, skipping upgrade: python-dateutil>=2.1 in c:\users\zerocool22\miniconda3\lib\site-packages (from matplotlib==2.2.2->-r requirements.txt (line 8)) (2.7.5)
Requirement already satisfied, skipping upgrade: pyyaml in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (3.13)
Requirement already satisfied, skipping upgrade: keras-preprocessing>=1.0.5 in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (1.0.5)
Requirement already satisfied, skipping upgrade: keras-applications>=1.0.6 in c:\users\zerocool22\miniconda3\lib\site-packages (from Keras==2.2.4->-r requirements.txt (line 12)) (1.0.6)
Requirement already satisfied, skipping upgrade: Click>=6.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from face_recognition->-r requirements.txt (line 15)) (7.0)
Requirement already satisfied, skipping upgrade: face-recognition-models>=0.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from face_recognition->-r requirements.txt (line 15)) (0.3.0)
Requirement already satisfied, skipping upgrade: decorator>=4.3.0 in c:\users\zerocool22\miniconda3\lib\site-packages (from networkx>=1.8->scikit-image->-r requirements.txt (line 6)) (4.3.0)
Requirement already satisfied, skipping upgrade: toolz>=0.7.3; extra == "array" in c:\users\zerocool22\miniconda3\lib\site-packages (from dask[array]>=0.9.0->scikit-image->-r requirements.txt (line 6)) (0.9.0)
Requirement already satisfied, skipping upgrade: setuptools in c:\users\zerocool22\miniconda3\lib\site-packages (from kiwisolver>=1.0.1->matplotlib==2.2.2->-r requirements.txt (line 8)) (40.6.3)

(faceswap) C:\Users\ZeroCool22\Miniconda3\envs\faceswap>
I guess i will stick to FaceLab, i was so damn sure FaceSwap will give me problems at some point...
Your crash report shows that the git master branch and commit is not found. Did you follow the Install.MD carefully and precisely?

If "git pull --all" is failing, that means that you didn't install correctly. Start over, try again.  Don't skip everything.  Read every sentence.

Also, my friend, be careful asking questions through the primary faceswap git. Either use the Discord, or use the git for Faceswap-Playground. Or ask here.  The Discord will yield the best results, though.

It's your choice, but I suggest you don't give up because of a little adversity.  If I can get it to work, anyone can.

I did what you said, i got it working now. Thx.

Forum Jump:

Users browsing this thread: 2 Guest(s)